body {
    overflow-x: hidden;
}

.table {
    margin: 5px auto !important;
}

.form-group {
    margin: 0 -15px 8px !important;
}

#guest_login_panel,
#guest_edit_panel {
    overflow-x: hidden;
    overflow-y: hidden;
}

form[name="guest_login_form"] .form-group,
form[name="guest_edit_form"] .form-group,
form[name="exam_form"] .form-group {
    display: flex;
    align-items: center;
    justify-content: center;
}

#index_container {
}

#vocabulary_container {
    list-style: none;
    /*box-shadow: #888 0 0 5px;*/
}

#vocabulary_container a,
#vocabulary_container a:hover,
#vocabulary_container a:link,
#vocabulary_container a:visited {
    color: #111;
    text-decoration: none;
}

#vcb_anchor {
    width: 40px;
    height: 40px;
    position: fixed;
    bottom: 10px;
    right: 10px;
    opacity: 0.8;
    display: none;
    z-index: 100;
}

#vcb_anchor img {
    width: 100%;
    height: 100%;
}

/* 子容器统一尺寸 */
#vcb_test_container,
#vcb_print_list {
    padding: 6px 0;
}

form[name='guest_login_form'],
form[name='guest_edit_form'] {
    margin: 8px;
}

.short-input {
    width: 60px;
    display: inline-block;
}

.warning-msg {
    color: red;
    font-weight: bold;
    text-align: center;
}

img.verify {
    height: 40px;
    cursor: pointer;
}

#wrapper {
    width: 98%;
    margin: auto;
    position: relative;
    padding: 8px 0;
    min-height: 100vh;
}

#vcb_title_container,
#vcb_btn_container {
    margin: 5px auto;
}

#vcb_info {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.vcb-info-item {
    display: inline-block;
    margin: 0 6px;
}

.blueWeight {
    color: blue;
    font-weight: bold;
}

#vcb_btn_container {
    display: flex;
    justify-content: center;
    align-items: center;
}

#vcb_btn_container button {
    display: inline-block;
    margin: 0 10px;
}

#vcb_cate_list,
#vcb_link_list {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
    margin: 5px auto;
}

#vcb_link_list {
    background-color: #CCC;
    z-index: 99;
    margin: 0;
    width: 102%;
    padding: 0 1%;
    min-height: 39px;
    position: absolute;
    bottom: 0;
    left: -1%;
}

#vcb_ls_takeup {
    height: 32px;
}

.vcb-link-item {
    margin: 3px 6px;
    padding: 0;
}

.vcb-link-item a {
    font-size: 14px;
}

.vcb-cate-item {
    margin: 3px 6px;
    padding: 2px 5px;
    box-shadow: #999 0 0 10px;
}

.vcb-cate-item label {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    margin: 2px auto;
}

.vcb-cate-item input[type="checkbox"] {
    margin-top: 0;
}

.exam-inst {
    color: #999;
}

/* 搜索功能样式表 */
.vocabulary-search-box {
    position: relative;
}

.vocabulary-search-form {
    background-color: #EFEFEF;
    padding: 8px;
    border-radius: 6px;
    position: absolute;
    width: 100%;
    left: 0;
    top: 0;
    z-index: 100;
}

.vocabulary-search-form .form-group {
    margin-bottom: 0;
}

#vcb_search_result_reveal {
    display: none;
}

.vcb-search-takeup {
    /*display: none;*/
    height: 50px;
}

#vcb_search_result_wrapper {

}

.vcb-fb {
    display: flex;
    align-items: center;
}

.vcb-fb input[name="kw"] {
    flex: 1;
}

#anchor_list {
    list-style: none;
    position: fixed;
    top: 60px;
    right: 8px;
    z-index: 999;
    font-size: 16px;
    font-weight: bold;
}

.anchor-item {
    width: 20px;
    height: 20px;
    line-height: 20px;
    text-align: center;
    background-color: #FFF;
    border: 1px solid #CCC;
}

.vocabulary-list {
    margin-top: 10px;
    line-height: 1.5;
    padding: 0 5px;
}

.vocabulary-list p {
    margin-bottom: 0;
}

.vocabulary-item-list {
    padding-left: 10px;
}

.vocabulary-item-item {

}

.vocabulary-item-item-inst {
    color: #999999;
    padding-left: 10px;
}

.word-ignore {
    color: #999;
}

.hint-message {
    margin-top: 8px;
    text-align: center;
    color: #666666;
    font-size: 14px;
    line-height: 20px;
}

.colorRed {
    color: red;
}